Loading...
Searching...
No Matches
DialogMsg Class Reference

DialogMsg. More...

`#include <dialogmsg.h>`

Inheritance diagram for DialogMsg:

## Public Member Functions

| DialogMsg (const QString &title, const QString &text, const QString &additional, const int &type, QWidget *parent=nullptr)
| Dialog constructor. More...

## Private Slots

void | on_button_ShowAdditional_clicked ()
| Shows the additional informations.
void | on_button_Ok_clicked ()
| Called when the OK button gets clicked.

## Detailed Description

DialogMsg.

A dialog message to provide informations to the user

## Constructor & Destructor Documentation

## DialogMsg()

DialogMsg::DialogMsg | ( | const QString & | title,
|  | const QString & | text,
|  | const QString & | additional,
|  | const int & | type,
|  | QWidget * | parent = `nullptr`
| ) |  |

Dialog constructor.

Parameters

  title | The title
  text | The message
  additional | Additional informations, usually an error message
  parent | The parent Widget

The documentation for this class was generated from the following files:

- logdoctor/modules/dialogs/dialogmsg.h
- logdoctor/modules/dialogs/dialogmsg.cpp